%define debug_package %{nil}
%define         real_name lutris
Name:           %{real_name}-git
Version:        master
%define         build_timestamp     %{lua: print(os.date("%Y%m%d"))}
Release:        %{build_timestamp}%{?dist}
Summary:        Install and play any video game easily

License:        GPLv3
URL:            http://%{real_name}.net
Source0:        https://github.com/lutris/lutris/archive/master.tar.gz#/lutris-%{build_timestamp}.tar.gz


BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
BuildRequires:  python3-gobject, python3-wheel, python3-setuptools, python3-gobject, python3-file-magic
Requires:       python3-dbus, python3-evdev, python3-gobject, python3-PyYAML, cabextract
Requires:       gtk3, psmisc, xorg-x11-server-Xephyr, xrandr
Requires:       hicolor-icon-theme
Requires:       gnome-desktop3

%ifarch x86_64
Requires:       mesa-dri-drivers(x86-32)
Requires:       mesa-vulkan-drivers(x86-32)
Requires:       vulkan-loader(x86-32)
Requires:       mesa-libGL(x86-32)
%endif

Requires:       mesa-vulkan-drivers
Requires:       mesa-dri-drivers
Requires:       vulkan-loader
Requires:       mesa-libGL
Requires:       python3-requests
Requires:       python3-pillow
Requires:       glx-utils
Requires:       gvfs
Requires:       webkit2gtk3
Requires:       python3-lxml
Recommends:     wine-core
BuildRequires:  fdupes
BuildRequires:  libappstream-glib

Conflicts:      otherproviders(lutris)
Provides:       lutris = %{version}

# keeping a patch around for all master versions is not feasable
BuildRequires:  sed

%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%autosetup -n %{real_name}-%{version} -p1


%build
sed -i "s/python-magic//g" setup.py
%py3_build

%install
%py3_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/net.%{real_name}.Lutris.metainfo.xml

%fdupes %{buildroot}%{python3_sitelib}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications share/applications/net.%{real_name}.Lutris.desktop

%files
%{_bindir}/%{real_name}
%{_datadir}/%{real_name}/
%{_datadir}/applications/net.%{real_name}.Lutris.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{real_name}.svg
%{_datadir}/icons/hicolor/16x16/apps/%{real_name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{real_name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{real_name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{real_name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{real_name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{real_name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{real_name}.png
%{_datadir}/man/man1/%{real_name}.1.gz
%{python3_sitelib}/%{real_name}-*.egg-info
%{python3_sitelib}/%{real_name}/
%{_datadir}/metainfo/
